#include <bits/stdc++.h>
using namespace std;

int main()
{
int n,l;
cin >> n >> l;
int h[n];
int br=1;
bool prosao=true;
for(int i=0;i<n;i++)
{
    cin >> h[i];
}
for(int i=0;i<n;i++)
{
        if(h[i]>l) {
        br++;

    }
    else{
            prosao=false;
            break;
    }
}
if(prosao) cout << -1 <<endl;
else cout << br;
    return 0;
}